import { jsx as c } from "react/jsx-runtime";
import { memo as e } from "react";
import { ICON_COMPONENTS as r } from "./iconsMap.es.js";
const l = e(function({ name: o, className: t }) {
  const n = r[o];
  return n ? /* @__PURE__ */ c(n, { className: t }) : (console.warn(`Icon "${o}" not found. Available icons: ${Object.keys(r).join(", ")}`), null);
});
export {
  l as Icon
};
